#
# Conditional build:
%bcond_with	tests	# unit tests [not included in sdist]

Summary:	Sphinx extension for linking to your project's issue tracker
Summary(pl.UTF-8):	Rozszerzenie Sphinksa do dowiązań do systemu śledzenia problemów projektu
Name:		python3-sphinx_issues
Version:	3.0.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0-Download: https://pypi.org/simple/sphinx-issues/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx-issues/sphinx-issues-%{version}.tar.gz
# Source0-md5:	e2351ac5790c84b8fe9f13da294f69f1
URL:		https://github.com/sloria/sphinx-issues
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 6.2.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Sphinx extension for linking to your project's issue tracker.
Includes roles for linking to both issues and user profiles, with
built-in support for GitHub (though this works with other services).

%description -l pl.UTF-8
Rozszerzenie Sphinksa służące do dowiązywania do systemu śledzenia
problemów projektu. Zawiera role do dowiązywania zarówno do zgłoszeń
problemów, jak i profili użytkowników; ma wbudowaną obsługę serwisu
GitHub (ale działa także z innymi serwisami).

%prep
%setup -q -n sphinx-issues-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/sphinx_issues.py
%{py3_sitescriptdir}/__pycache__/sphinx_issues.cpython-*.py[co]
%{py3_sitescriptdir}/sphinx_issues-%{version}-py*.egg-info
%changelog
* Thu Mar 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx_issues.git;a=log;h=master

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 1caf73a
- python-sphinx_issues.spec updated to 3.0.1 for python 3.6+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> cda5142
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c349b45
- Release 6 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 09bbd0b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c5ae1ea
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> d17713d
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 76a0663
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Feb 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 89e6773
- updated to 1.2.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e53560c
- release 2 (by relup.sh)

* Sun Jun 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 96b8873
- new

